package com.steerinfo.ems.emscalorificvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class EmsCalorificValue implements IBasePO<String> {
    /**
     * 检验编号(WTBH,VARCHAR,100)
     */
    @ApiModelProperty(value="检验编号",required=true)
    private String wtbh;

    /**
     * 取样类型(SAMPLETYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="取样类型",required=false)
    private String sampletype;

    /**
     * 物料编码(MATERIALNO,VARCHAR,100)
     */
    @ApiModelProperty(value="物料编码",required=false)
    private String materialno;

    /**
     * 物料名称(MATERIALNAME,VARCHAR,40)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String materialname;

    /**
     * 物料来源(MATERIALSOURCE,VARCHAR,100)
     */
    @ApiModelProperty(value="物料来源",required=false)
    private String materialsource;

    /**
     * 取样时间(SAMPLETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="取样时间",required=false)
    private Date sampletime;

    /**
     * 取样人(SAMPLEPERSON,VARCHAR,40)
     */
    @ApiModelProperty(value="取样人",required=false)
    private String sampleperson;

    /**
     * 送样时间(SENDTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="送样时间",required=false)
    private Date sendtime;

    /**
     * 送样人 (SENDER,VARCHAR,40)
     */
    @ApiModelProperty(value="送样人 ",required=false)
    private String sender;

    /**
     * 判定结果(JUDGERESULT,VARCHAR,20)
     */
    @ApiModelProperty(value="判定结果",required=false)
    private String judgeresult;

    /**
     * 判定时间(JUDGETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="判定时间",required=false)
    private Date judgetime;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 样品编号(SAMPLENO,VARCHAR,100)
     */
    @ApiModelProperty(value="样品编号",required=false)
    private String sampleno;

    /**
     * 检验项目编号(ITEMCODE,VARCHAR,100)
     */
    @ApiModelProperty(value="检验项目编号",required=false)
    private String itemcode;

    /**
     * 检验项目(ITEM,VARCHAR,50)
     */
    @ApiModelProperty(value="检验项目",required=false)
    private String item;

    /**
     * 检验结果(TESTRESULT,VARCHAR,50)
     */
    @ApiModelProperty(value="检验结果",required=false)
    private String testresult;

    /**
     * 结果判定 (ITEMJUDGERESULT,VARCHAR,50)
     */
    @ApiModelProperty(value="结果判定 ",required=false)
    private String itemjudgeresult;

    /**
     * 检验人 (RECORDER,VARCHAR,40)
     */
    @ApiModelProperty(value="检验人 ",required=false)
    private String recorder;

    /**
     * 检验时间(INPUTTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="检验时间",required=false)
    private Date inputtime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.wtbh;
    }

    @Override
    public void setId(String wtbh) {
        this.wtbh = wtbh == null ? null : wtbh.trim();
    }

    public String getWtbh() {
        return wtbh;
    }

    public void setWtbh(String wtbh) {
        this.wtbh = wtbh == null ? null : wtbh.trim();
    }

    public String getSampletype() {
        return sampletype;
    }

    public void setSampletype(String sampletype) {
        this.sampletype = sampletype == null ? null : sampletype.trim();
    }

    public String getMaterialno() {
        return materialno;
    }

    public void setMaterialno(String materialno) {
        this.materialno = materialno == null ? null : materialno.trim();
    }

    public String getMaterialname() {
        return materialname;
    }

    public void setMaterialname(String materialname) {
        this.materialname = materialname == null ? null : materialname.trim();
    }

    public String getMaterialsource() {
        return materialsource;
    }

    public void setMaterialsource(String materialsource) {
        this.materialsource = materialsource == null ? null : materialsource.trim();
    }

    public Date getSampletime() {
        return sampletime;
    }

    public void setSampletime(Date sampletime) {
        this.sampletime = sampletime;
    }

    public String getSampleperson() {
        return sampleperson;
    }

    public void setSampleperson(String sampleperson) {
        this.sampleperson = sampleperson == null ? null : sampleperson.trim();
    }

    public Date getSendtime() {
        return sendtime;
    }

    public void setSendtime(Date sendtime) {
        this.sendtime = sendtime;
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender == null ? null : sender.trim();
    }

    public String getJudgeresult() {
        return judgeresult;
    }

    public void setJudgeresult(String judgeresult) {
        this.judgeresult = judgeresult == null ? null : judgeresult.trim();
    }

    public Date getJudgetime() {
        return judgetime;
    }

    public void setJudgetime(Date judgetime) {
        this.judgetime = judgetime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getSampleno() {
        return sampleno;
    }

    public void setSampleno(String sampleno) {
        this.sampleno = sampleno == null ? null : sampleno.trim();
    }

    public String getItemcode() {
        return itemcode;
    }

    public void setItemcode(String itemcode) {
        this.itemcode = itemcode == null ? null : itemcode.trim();
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item == null ? null : item.trim();
    }

    public String getTestresult() {
        return testresult;
    }

    public void setTestresult(String testresult) {
        this.testresult = testresult == null ? null : testresult.trim();
    }

    public String getItemjudgeresult() {
        return itemjudgeresult;
    }

    public void setItemjudgeresult(String itemjudgeresult) {
        this.itemjudgeresult = itemjudgeresult == null ? null : itemjudgeresult.trim();
    }

    public String getRecorder() {
        return recorder;
    }

    public void setRecorder(String recorder) {
        this.recorder = recorder == null ? null : recorder.trim();
    }

    public Date getInputtime() {
        return inputtime;
    }

    public void setInputtime(Date inputtime) {
        this.inputtime = inputtime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", wtbh=").append(wtbh);
        sb.append(", sampletype=").append(sampletype);
        sb.append(", materialno=").append(materialno);
        sb.append(", materialname=").append(materialname);
        sb.append(", materialsource=").append(materialsource);
        sb.append(", sampletime=").append(sampletime);
        sb.append(", sampleperson=").append(sampleperson);
        sb.append(", sendtime=").append(sendtime);
        sb.append(", sender=").append(sender);
        sb.append(", judgeresult=").append(judgeresult);
        sb.append(", judgetime=").append(judgetime);
        sb.append(", memo=").append(memo);
        sb.append(", sampleno=").append(sampleno);
        sb.append(", itemcode=").append(itemcode);
        sb.append(", item=").append(item);
        sb.append(", testresult=").append(testresult);
        sb.append(", itemjudgeresult=").append(itemjudgeresult);
        sb.append(", recorder=").append(recorder);
        sb.append(", inputtime=").append(inputtime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}